Subject: categories: on the coexponential question

From: Thomas Streicher <[email-masked]>
Date: Thu, 5 Aug 1999 14:52:46 +0200 (MESZ)

Recently there was brought up the question whether duals of ccc's may have
significance and it has been pointed out by P. Levy and P. Selinger that a 
good example is that of the Kleisli category for the continuation monad.

In a sense the dual of the Kleisli category is much neater as it is cc.
There is some ``odd'' structure there corresponding to some sort of
``classical disjunction''. It is precisely this ``odd'' structure which is
used for constructing ``function spaces'' in the Kleisli category which, 
however, aren't exponentials.
Actually, there can't exist proper function spaces for the following reason. 
If C and its dual are both cartesian closed then C is a bi-Heyting algebra
as if C^op is cc then 1+(_) is a right adjoint and accordingly 1+1 ~= 1
form which it follows that C is posetal. This strengthens ``Joyal's Lemma''
saying that any c.c. with an involution is actually a Boolean algebra.

Thomas S.